package com.tzld.piaoquan.api.model.po.wecom.thirdpart;

import java.util.Date;

public class ThirdPartWeComRoomUser {
    private Long id;

    private String thirdRoomId;

    private String unionid;

    private Integer sex;

    private String mobile;

    private String acctid;

    private Integer joinScene;

    private String avatar;

    private String englishName;

    private String realname;

    private String roomNotes;

    private Long joinTime;

    private Long quitTime;

    private String nickname;

    private String roomNickname;

    private String position;

    private Long uin;

    private Long inviteUserId;

    private Long corpId;

    private Date createTime;

    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getThirdRoomId() {
        return thirdRoomId;
    }

    public void setThirdRoomId(String thirdRoomId) {
        this.thirdRoomId = thirdRoomId;
    }

    public String getUnionid() {
        return unionid;
    }

    public void setUnionid(String unionid) {
        this.unionid = unionid;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getAcctid() {
        return acctid;
    }

    public void setAcctid(String acctid) {
        this.acctid = acctid;
    }

    public Integer getJoinScene() {
        return joinScene;
    }

    public void setJoinScene(Integer joinScene) {
        this.joinScene = joinScene;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public String getEnglishName() {
        return englishName;
    }

    public void setEnglishName(String englishName) {
        this.englishName = englishName;
    }

    public String getRealname() {
        return realname;
    }

    public void setRealname(String realname) {
        this.realname = realname;
    }

    public String getRoomNotes() {
        return roomNotes;
    }

    public void setRoomNotes(String roomNotes) {
        this.roomNotes = roomNotes;
    }

    public Long getJoinTime() {
        return joinTime;
    }

    public void setJoinTime(Long joinTime) {
        this.joinTime = joinTime;
    }

    public Long getQuitTime() {
        return quitTime;
    }

    public void setQuitTime(Long quitTime) {
        this.quitTime = quitTime;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getRoomNickname() {
        return roomNickname;
    }

    public void setRoomNickname(String roomNickname) {
        this.roomNickname = roomNickname;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public Long getUin() {
        return uin;
    }

    public void setUin(Long uin) {
        this.uin = uin;
    }

    public Long getInviteUserId() {
        return inviteUserId;
    }

    public void setInviteUserId(Long inviteUserId) {
        this.inviteUserId = inviteUserId;
    }

    public Long getCorpId() {
        return corpId;
    }

    public void setCorpId(Long corpId) {
        this.corpId = corpId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", thirdRoomId=").append(thirdRoomId);
        sb.append(", unionid=").append(unionid);
        sb.append(", sex=").append(sex);
        sb.append(", mobile=").append(mobile);
        sb.append(", acctid=").append(acctid);
        sb.append(", joinScene=").append(joinScene);
        sb.append(", avatar=").append(avatar);
        sb.append(", englishName=").append(englishName);
        sb.append(", realname=").append(realname);
        sb.append(", roomNotes=").append(roomNotes);
        sb.append(", joinTime=").append(joinTime);
        sb.append(", quitTime=").append(quitTime);
        sb.append(", nickname=").append(nickname);
        sb.append(", roomNickname=").append(roomNickname);
        sb.append(", position=").append(position);
        sb.append(", uin=").append(uin);
        sb.append(", inviteUserId=").append(inviteUserId);
        sb.append(", corpId=").append(corpId);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append("]");
        return sb.toString();
    }
}